Subject: Re: bug#7743: unrmail loses extra blank line at end of message

From: Mark Lillibridge <[email-masked]>
Date: Sat, 19 Nov 2011 12:28:00 -0800

Glenn wrote:
>  Mark Lillibridge wrote:
>  
>  >     As of at least Emacs 23.1 and still present in version 24, unrmail
>  > throws away the last blank line of a message if present.
>  
>  This sounds very believable, but I am having a hard time convinving
>  myself.
>  
>  I used the system `mail' command to send myself a few mails ending in
>  blank lines. I used Emacs 22.3 to convert the resulting mail spool file
>  to Babyl, then the current trunk's unrmail to convert that Babyl back to
>  mbox. The mbox I got back was identical to the original mail spool
>  (modulo the addition of X-RMAIL-ATTRIBUTES and X-Coding-System) headers.
>  
>  So I cannot see that blank lines are going missing (unless going from
>  Babyl to mbox adds one, and going the other way subtracts one?).

    You got it!  Examine the BABYL file and you will see that Rmail 22.3
has added an extra blank line after each of your messages.  That was a
recent (pre transformation to 23) RMAIL bug, I believe.  My older email
does not have these extra blank lines.  I haven't reported all the Rmail
22 bugs I've found because they are moot at this point.

- Mark
PS, I will send you (Glenn) my relevant test files in case you didn't
keep yours.